> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Form 16

> Upload your form 16 pdf as a multipart file and we will provide you with a form 16 entity.



## OpenAPI

````yaml api-reference/it/openapi.json POST /it/ocr/form-16/pdf
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/ocr/form-16/pdf:
    post:
      tags: []
      summary: Form16 Read
      parameters:
        - name: password
          in: query
          description: ''
          required: false
          example: a
          schema:
            type: string
        - name: x-api-key
          in: header
          description: ''
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          required: true
          example: '{{access_token}}'
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      Part A:
                        type: object
                        properties:
                          tds:
                            type: array
                            items:
                              type: array
                              items:
                                oneOf:
                                  - type: string
                                  - type: 'null'
                                  - type: integer
                          assessment_year:
                            type: string
                          employer:
                            type: object
                            properties:
                              tan:
                                type: string
                              address:
                                type: object
                                properties:
                                  area:
                                    type: string
                                  street:
                                    type: string
                                  postal_code:
                                    type: string
                                required:
                                  - area
                                  - street
                                  - postal_code
                              name:
                                type: string
                              pan:
                                type: string
                            required:
                              - tan
                              - address
                              - name
                              - pan
                          employee:
                            type: object
                            properties:
                              address:
                                type: object
                                properties:
                                  area:
                                    type: string
                                  street:
                                    type: string
                                  postal_code:
                                    type: string
                                required:
                                  - area
                                  - street
                                  - postal_code
                              last_name:
                                type: string
                              pan:
                                type: string
                              middle_name:
                                type: string
                              first_name:
                                type: string
                            required:
                              - address
                              - last_name
                              - pan
                              - middle_name
                              - first_name
                        required:
                          - tds
                          - assessment_year
                          - employer
                          - employee
                      Part B:
                        type: object
                        properties:
                          assessment_year:
                            type: string
                          employer:
                            type: object
                            properties:
                              tan:
                                type: string
                              address:
                                type: object
                                properties:
                                  area:
                                    type: string
                                  street:
                                    type: string
                                  postal_code:
                                    type: string
                                required:
                                  - area
                                  - street
                                  - postal_code
                              name:
                                type: string
                              pan:
                                type: string
                            required:
                              - tan
                              - address
                              - name
                              - pan
                          employee:
                            type: object
                            properties:
                              address:
                                type: object
                                properties:
                                  area:
                                    type: string
                                  street:
                                    type: string
                                  postal_code:
                                    type: string
                                required:
                                  - area
                                  - street
                                  - postal_code
                              last_name:
                                type: string
                              pan:
                                type: string
                              middle_name:
                                type: string
                              first_name:
                                type: string
                            required:
                              - address
                              - last_name
                              - pan
                              - middle_name
                              - first_name
                          details_of_salary_paid:
                            type: object
                            properties:
                              surcharge:
                                type: integer
                              gross_salary:
                                type: object
                                properties:
                                  reported_total_amount_of_salary_received_from_other_employer:
                                    type: integer
                                  profits_in_lieu_of_salary_us_17_3:
                                    type: integer
                                  value_of_perquisites_us_17_2:
                                    type: integer
                                  salary_as_per_provisions_contained_in_section_17_1:
                                    type: integer
                                required:
                                  - >-
                                    reported_total_amount_of_salary_received_from_other_employer
                                  - profits_in_lieu_of_salary_us_17_3
                                  - value_of_perquisites_us_17_2
                                  - >-
                                    salary_as_per_provisions_contained_in_section_17_1
                              gross_total_income:
                                type: integer
                              tax_payable:
                                type: integer
                              allowances_us_10:
                                type: object
                                properties:
                                  house_rent_allowance_us_10_13_a:
                                    type: integer
                                  commuted_value_of_pension_us_10_10_a:
                                    type: integer
                                  death_cum_retirement_gratuity_us_10_10:
                                    type: integer
                                  total_amount_of_any_other_exemption_us_10:
                                    type: integer
                                  total_amount_of_exemption_claimed_us_10:
                                    type: integer
                                  travel_concession_or_assistance_us_10_5:
                                    type: integer
                                  cash_equivalent_of_leave_salary_encashment_us_10_10_aa:
                                    type: integer
                                required:
                                  - house_rent_allowance_us_10_13_a
                                  - commuted_value_of_pension_us_10_10_a
                                  - death_cum_retirement_gratuity_us_10_10
                                  - total_amount_of_any_other_exemption_us_10
                                  - total_amount_of_exemption_claimed_us_10
                                  - travel_concession_or_assistance_us_10_5
                                  - >-
                                    cash_equivalent_of_leave_salary_encashment_us_10_10_aa
                              total_amount_of_deductions_us_16:
                                type: integer
                              health_and_eduction_cess:
                                type: integer
                              deduction_under_chapter_vi_a:
                                type: object
                                properties:
                                  deduction_us_80_ccc:
                                    type: object
                                    properties: {}
                                  deduction_us_80_tta:
                                    type: object
                                    properties: {}
                                  total_deduction_us_80_cce:
                                    type: object
                                    properties: {}
                                  deduction_us_80_ccd_2:
                                    type: object
                                    properties: {}
                                  deduction_us_80_ccd_1:
                                    type: object
                                    properties: {}
                                  deduction_us_80_d:
                                    type: object
                                    properties: {}
                                  deduction_us_80_ccd_1_b:
                                    type: object
                                    properties: {}
                                  deduction_us_80_e:
                                    type: object
                                    properties: {}
                                  deduction_us_80_g:
                                    type: object
                                    properties: {}
                                  deduction_us_80_c:
                                    type: object
                                    properties: {}
                                required:
                                  - deduction_us_80_ccc
                                  - deduction_us_80_tta
                                  - total_deduction_us_80_cce
                                  - deduction_us_80_ccd_2
                                  - deduction_us_80_ccd_1
                                  - deduction_us_80_d
                                  - deduction_us_80_ccd_1_b
                                  - deduction_us_80_e
                                  - deduction_us_80_g
                                  - deduction_us_80_c
                              rebate_us_87_a:
                                type: integer
                              relief_us_89:
                                type: integer
                              aggregate_deductible_amount_under_chapter_vi_a:
                                type: integer
                              opting_out_of_taxation_us_115_bac:
                                type: string
                              net_tax_payable:
                                type: integer
                              tax_on_total_income:
                                type: integer
                              total_amount_of_other_income_reported_by_employee:
                                type: integer
                              other_income_reported_by_employee_us_192_2_b:
                                type: object
                                properties:
                                  income_under_the_head_other_sources_offered_for_tds:
                                    type: integer
                                  income_from_house_property_reported_by_employee_offered_for_tds:
                                    type: integer
                                required:
                                  - >-
                                    income_under_the_head_other_sources_offered_for_tds
                                  - >-
                                    income_from_house_property_reported_by_employee_offered_for_tds
                              income_chargeable_under_the_head_salaries:
                                type: integer
                              total_amount_of_salary_received_from_current_employer:
                                type: integer
                              deduction_us_16:
                                type: object
                                properties:
                                  entertainment_allowance_us_16_ii:
                                    type: integer
                                  standard_deduction_us_16_ia:
                                    type: integer
                                  tax_on_employment_us_16_iii:
                                    type: integer
                                required:
                                  - entertainment_allowance_us_16_ii
                                  - standard_deduction_us_16_ia
                                  - tax_on_employment_us_16_iii
                              total_taxable_income:
                                type: integer
                            required:
                              - surcharge
                              - gross_salary
                              - gross_total_income
                              - tax_payable
                              - allowances_us_10
                              - total_amount_of_deductions_us_16
                              - health_and_eduction_cess
                              - deduction_under_chapter_vi_a
                              - rebate_us_87_a
                              - relief_us_89
                              - aggregate_deductible_amount_under_chapter_vi_a
                              - opting_out_of_taxation_us_115_bac
                              - net_tax_payable
                              - tax_on_total_income
                              - >-
                                total_amount_of_other_income_reported_by_employee
                              - other_income_reported_by_employee_us_192_2_b
                              - income_chargeable_under_the_head_salaries
                              - >-
                                total_amount_of_salary_received_from_current_employer
                              - deduction_us_16
                              - total_taxable_income
                        required:
                          - assessment_year
                          - employer
                          - employee
                          - details_of_salary_paid
                    required:
                      - Part A
                      - Part B
                  timestamp:
                    type: integer
                required:
                  - transaction_id
                  - code
                  - data
                  - timestamp
              example:
                transaction_id: 478527ab-9e73-4e08-97e7-63122b5b9072
                code: 200
                data:
                  Part A:
                    tds:
                      - - quarter
                        - receipt_number
                        - credit_amount
                        - tax_deducted
                        - tax_deposited
                      - - Q4
                        - QVQYSSEF
                        - 360030
                        - 28428
                        - 28428
                      - - Q3
                        - QVOLJKOE
                        - 240000
                        - 9704
                        - 9704
                      - - Q2
                        - QVMVLPLC
                        - 250000
                        - 9704
                        - 9704
                      - - Q1
                        - QVKCNDHC
                        - 230000
                        - 19249
                        - 19249
                      - - Total
                        - null
                        - 1080030
                        - 67085
                        - 67085
                    assessment_year: 2024-25
                    employer:
                      tan: HYDU00904B
                      address:
                        area: ''
                        street: '8-2-596/5, Star Hospitals, Road No.10, '
                        postal_code: '500034'
                      name: UNIMED HEALTH CARE PRIVATE LIMITED
                      pan: AAACU8638B
                    employee:
                      address:
                        area: 'WARANGAL - 506002, '
                        street: 'H.NO-14-8-271, CHARBOWLI, GIRMAJIPET, '
                        postal_code: '506002'
                      last_name: GUTHIKONDA
                      pan: DCDPG7297B
                      middle_name: SAI
                      first_name: SRI
                  Part B:
                    assessment_year: 2024-25
                    employer:
                      tan: HYDU00904B
                      address:
                        area: ''
                        street: '8-2-596/5, Star Hospitals, Road No.10, '
                        postal_code: '500034'
                      name: UNIMED HEALTH CARE PRIVATE LIMITED
                      pan: AAACU8638B
                    employee:
                      address:
                        area: 'WARANGAL - 506002, '
                        street: 'H.NO-14-8-271, CHARBOWLI, GIRMAJIPET, '
                        postal_code: '506002'
                      last_name: GUTHIKONDA
                      pan: DCDPG7297B
                      middle_name: SAI
                      first_name: SRI
                    details_of_salary_paid:
                      surcharge: 0
                      gross_salary:
                        reported_total_amount_of_salary_received_from_other_employer: 0
                        profits_in_lieu_of_salary_us_17_3: 0
                        value_of_perquisites_us_17_2: 0
                        salary_as_per_provisions_contained_in_section_17_1: 1080030
                      gross_total_income: 1030030
                      tax_payable: 67084
                      allowances_us_10:
                        house_rent_allowance_us_10_13_a: 0
                        commuted_value_of_pension_us_10_10_a: 0
                        death_cum_retirement_gratuity_us_10_10: 0
                        total_amount_of_any_other_exemption_us_10: 0
                        total_amount_of_exemption_claimed_us_10: 0
                        travel_concession_or_assistance_us_10_5: 0
                        cash_equivalent_of_leave_salary_encashment_us_10_10_aa: 0
                      total_amount_of_deductions_us_16: 50000
                      health_and_eduction_cess: 2580
                      deduction_under_chapter_vi_a:
                        deduction_us_80_ccc: {}
                        deduction_us_80_tta: {}
                        total_deduction_us_80_cce: {}
                        deduction_us_80_ccd_2: {}
                        deduction_us_80_ccd_1: {}
                        deduction_us_80_d: {}
                        deduction_us_80_ccd_1_b: {}
                        deduction_us_80_e: {}
                        deduction_us_80_g: {}
                        deduction_us_80_c: {}
                      rebate_us_87_a: 0
                      relief_us_89: 0
                      aggregate_deductible_amount_under_chapter_vi_a: 0
                      opting_out_of_taxation_us_115_bac: 'No'
                      net_tax_payable: 67084
                      tax_on_total_income: 64504
                      total_amount_of_other_income_reported_by_employee: 0
                      other_income_reported_by_employee_us_192_2_b:
                        income_under_the_head_other_sources_offered_for_tds: 0
                        income_from_house_property_reported_by_employee_offered_for_tds: 0
                      income_chargeable_under_the_head_salaries: 1030030
                      total_amount_of_salary_received_from_current_employer: 1080030
                      deduction_us_16:
                        entertainment_allowance_us_16_ii: 0
                        standard_deduction_us_16_ia: 50000
                        tax_on_employment_us_16_iii: 0
                      total_taxable_income: 1030030
                timestamp: 1724824712000
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
                required:
                  - transaction_id
                  - code
                  - message
                  - timestamp
              example:
                transaction_id: b8efe8d1-dd0d-49e1-9a95-748c9554746a
                code: 500
                message: Form 16 is password protected
                timestamp: 1724824934000
      deprecated: false
      security: []

````